Requires write_products access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20260901/products/custom_collections.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Create a new manual collection in the store.
TIP
The API does not support direct management of SEO information. Collection SEO details are managed via metafields. For operation instructions, refer to Editing SEO information for the corresponding resource page through metafield's Open API.
When creating a manual collection via this API, the initial value for seoTitle is assigned through title, and the initial value for seoDescription is assigned through body_html.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
  • custom_collectionobject required
    Manual collection information.
  • bannerobject
    The cover image of the collection.
  • alt string
    The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.
    Maximum length: 512
    Example: This is an image alt
  • src string
    The link to the image, represented as a URL.
    Maximum length: 255
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • body_html string
    The collection description.
    Maximum size: 64 KB
    Example: This is a description
  • collectsobject[]
    A list of manually associated products for the manual collection, which will be bound in the order of the incoming product IDs.
    Maximum size: 500
  • product_id string
    The unique identifier for the product.
    Maximum length:64
    Example: 16049619743346320200470282
  • handle string
    The semantically unique identifier for the collection, which is generated based on title by default.
    Maximum length: 255
    Example: collection-handle
  • imageobject
    The image of the collection.
  • alt string
    The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.
    Maximum length: 512
    Example: This is an image alt
  • src string
    The link to the collection image, represented as a URL.
    Maximum length: 255
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • path string
    The relative path of the collection page.
    Maximum length: 512
    Example: /collections/spring
  • published_scope string
    The published scope of collection sales channels. The value of this field is fixed to web, indicating an online store.
  • sort_order string
    Indicates the sorting method of the default sort value for the product list on the collection page.
    • alpha-asc: Sort by product name from A to Z
    • alpha-desc: Sort by product name from Z to A
    • updated-desc: Sort by update time from newest to oldest
    • updated-asc: Sort by update time from oldest to newest
    • manual: Sort by custom order
    • created-desc: Sort by creation time from newest to oldest
    • created-asc: Sort by creation time from oldest to newest
    • price-asc: Sort by the lowest selling price of product styles in ascending order
    • price-desc: Sort by the lowest selling price of product styles in descending order
    • best-selling-last3days: Sort by sales volume in the last 3 days in descending order
    • best-selling-last7days: Sort by sales volume in the last 7 days in descending order
    • best-selling-last15days: Sort by sales volume in the last 15 days in descending order
    • best-selling-last30days: Sort by sales volume in the last 30 days in descending order
    • best-selling-last60days: Sort by sales volume in the last 60 days in descending order
    • best-selling: Sort by sales volume in the last 90 days in descending order
    • additional-purchase-rate-last3days: Sort by add-to-cart rate in the last 3 days in descending order
    • additional-purchase-rate-last7days: Sort by add-to-cart rate in the last 7 days in descending order
    • additional-purchase-rate-last15days: Sort by add-to-cart rate in the last 15 days in descending order
    • additional-purchase-rate-last30days: Sort by add-to-cart rate in the last 30 days in descending order
    • additional-purchase-rate-last60days: Sort by add-to-cart rate in the last 60 days in descending order
    • additional-purchase-rate-last90days: Sort by add-to-cart rate in the last 90 days in descending order
    • conversion-rate-last3days: Sort by conversion rate in the last 3 days in descending order
    • conversion-rate-last7days: Sort by conversion rate in the last 7 days in descending order
    • conversion-rate-last15days: Sort by conversion rate in the last 15 days in descending order
    • conversion-rate-desc: Sort by conversion rate in the last 30 days in descending order
    • conversion-rate-last60days: Sort by conversion rate in the last 60 days in descending order
    • conversion-rate-last90days: Sort by conversion rate in the last 90 days in descending order
    • additional-purchases-num-last3days: Sort by add-to-cart quantity in the last 3 days in descending order
    • additional-purchases-num-last7days: Sort by add-to-cart quantity in the last 7 days in descending order
    • additional-purchases-num-last15days: Sort by add-to-cart quantity in the last 15 days in descending order
    • additional-purchases-num-last30days: Sort by add-to-cart quantity in the last 30 days in descending order
    • additional-purchases-num-last60days: Sort by add-to-cart quantity in the last 60 days in descending order
    • add-to-cart-desc: Sort by add-to-cart quantity in the last 90 days in descending order
    • views-pv-last3days: Sort by page views in the last 3 days in descending order
    • views-pv-last7days: Sort by page views in the last 7 days in descending order
    • views-pv-last15days: Sort by page views in the last 15 days in descending order
    • views-pv-last30days: Sort by page views in the last 30 days in descending order
    • views-pv-last60days: Sort by page views in the last 60 days in descending order
    • view-desc: Sort by page views in the last 90 days in descending order
  • template_path string
    The theme template of the collection.
    Example: templates/collection.collection_template_name.json
  • title string required
    The title of the collection.
    Maximum length: 255
    Example: This is a collection title
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • custom_collectionobject
    Manual collection information.
  • bannerobject
    The cover image of the collection.
  • alt string
    The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt
  • src string
    The link to the image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • body_html string
    The collection description.
    Example: This is a description
  • created_at string
    The date and time when the collection was created. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • handle string
    The semantically unique identifier for the collection, which is generated based on title by default.
    Example: collection-handle
  • id string
    The unique identifier for the collection.
    Example: 12257170618007271602093384
  • imageobject
    The image of the collection.
  • alt string
    The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt
  • src string
    The link to the collection image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • published_at string
    The date and time when the collection was published to the online store. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • published_scope string
    The published scope of collection sales channels. The value of this field is fixed to web, indicating an online store.
  • sort_order string
    Indicates the sorting method of the default sort value for the product list on the collection page.
    • alpha-asc: Sort by product name from A to Z
    • alpha-desc: Sort by product name from Z to A
    • updated-desc: Sort by update time from newest to oldest
    • updated-asc: Sort by update time from oldest to newest
    • manual: Sort by custom order
    • created-desc: Sort by creation time from newest to oldest
    • created-asc: Sort by creation time from oldest to newest
    • price-asc: Sort by the lowest selling price of product styles in ascending order
    • price-desc: Sort by the lowest selling price of product styles in descending order
    • best-selling-last3days: Sort by sales volume in the last 3 days in descending order
    • best-selling-last7days: Sort by sales volume in the last 7 days in descending order
    • best-selling-last15days: Sort by sales volume in the last 15 days in descending order
    • best-selling-last30days: Sort by sales volume in the last 30 days in descending order
    • best-selling-last60days: Sort by sales volume in the last 60 days in descending order
    • best-selling: Sort by sales volume in the last 90 days in descending order
    • additional-purchase-rate-last3days: Sort by add-to-cart rate in the last 3 days in descending order
    • additional-purchase-rate-last7days: Sort by add-to-cart rate in the last 7 days in descending order
    • additional-purchase-rate-last15days: Sort by add-to-cart rate in the last 15 days in descending order
    • additional-purchase-rate-last30days: Sort by add-to-cart rate in the last 30 days in descending order
    • additional-purchase-rate-last60days: Sort by add-to-cart rate in the last 60 days in descending order
    • additional-purchase-rate-last90days: Sort by add-to-cart rate in the last 90 days in descending order
    • conversion-rate-last3days: Sort by conversion rate in the last 3 days in descending order
    • conversion-rate-last7days: Sort by conversion rate in the last 7 days in descending order
    • conversion-rate-last15days: Sort by conversion rate in the last 15 days in descending order
    • conversion-rate-desc: Sort by conversion rate in the last 30 days in descending order
    • conversion-rate-last60days: Sort by conversion rate in the last 60 days in descending order
    • conversion-rate-last90days: Sort by conversion rate in the last 90 days in descending order
    • additional-purchases-num-last3days: Sort by add-to-cart quantity in the last 3 days in descending order
    • additional-purchases-num-last7days: Sort by add-to-cart quantity in the last 7 days in descending order
    • additional-purchases-num-last15days: Sort by add-to-cart quantity in the last 15 days in descending order
    • additional-purchases-num-last30days: Sort by add-to-cart quantity in the last 30 days in descending order
    • additional-purchases-num-last60days: Sort by add-to-cart quantity in the last 60 days in descending order
    • add-to-cart-desc: Sort by add-to-cart quantity in the last 90 days in descending order
    • views-pv-last3days: Sort by page views in the last 3 days in descending order
    • views-pv-last7days: Sort by page views in the last 7 days in descending order
    • views-pv-last15days: Sort by page views in the last 15 days in descending order
    • views-pv-last30days: Sort by page views in the last 30 days in descending order
    • views-pv-last60days: Sort by page views in the last 60 days in descending order
    • view-desc: Sort by page views in the last 90 days in descending order
  • template_path string
    The theme template of the collection.
    Example: templates/collection.collection_template_name.json
  • title string
    The title of the collection.
    Example: This is a collection title
  • updated_at string
    The date and time when the collection was last updated. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required

Body

required
{
  "custom_collection": {
    "banner": {
      "alt": "This is an image alt",
      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
    },
    "body_html": "This is a description",
    "collects": [
      {
        "product_id": "16049619743346320200470282"
      }
    ],
    "handle": "collection-handle",
    "image": {
      "alt": "This is an image alt",
      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
    },
    "path": "/collections/spring",
    "published_scope": null,
    "sort_order": null,
    "template_path": "templates/collection.collection_template_name.json",
    "title": "This is a collection title"
  }
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/products/custom_collections.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Create a new manual collection
Request
{
"custom_collection": {
"banner": {
"alt": "This is an image alt",
"src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
},
"body_html": "This is a description",
"collects": [
{
"product_id": "16073187380346473690812340"
}
],
"handle": "third",
"image": {
"alt": "This is an image alt",
"src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
},
"published_scope": "web",
"sort_order": "conversion-rate-desc",
"title": "Third Custom Collection"
}
}
Response
{
"custom_collection": {
"banner": {
"alt": "This is an image alt",
"src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png?type=banner"
},
"body_html": "This is a description",
"created_at": "2026-01-18T10:44:29+08:00",
"handle": "third-2",
"id": "12273547315348198355622340",
"image": {
"alt": "This is an image alt",
"src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png?type=cover"
},
"published_at": "2026-01-18T10:44:29+08:00",
"published_scope": "web",
"sort_order": "conversion-rate-desc",
"template_path": null,
"title": "Third Custom Collection",
"updated_at": "2026-01-18T10:44:29+08:00"
}
}
Was this article helpful to you?